export default self;
declare const self: FormatIntlTempLate;
declare class FormatIntlTempLate {
    formatAbleType: number[];
    getLang(): any;
    getRole(target: any, operator: any): "operator" | "target" | "other";
    getTemplate(lang: any, tplId: any, role: any): Promise<string | false>;
    decorateTemplate(tem: string | undefined, message: any): string;
    transformMessage(message: any): Promise<string | boolean>;
    buildContent(tem: any, message: any, sourceMap: any): JSX.Element;
}
